Search Support

Avoid support scams. We will never ask you to call or text a phone number or share personal information. Please report suspicious activity using the “Report Abuse” option.

Learn More

pogo games will not load with firefox 3.6

  • 1 reply
  • 28 have this problem
  • 5 views
  • Last reply by whatsit92

more options

1 Mar 11 firefox automatically upgraded to version 3.6.14, This version is incompatible with running pogo games. I have two machines that I needed to re-install firefox 3.5.17 in order to run pogo

All Replies (3)

more options

I too have the same problem. I went back to an older version of firefox in order to get my pogo games to work. I would imagine that any site using the java applets will not work with firefox. There is something in the new update that causes the applet to crash or break when started in the newest full version of firefox. I hope they get this bug fixed soon, I like to keep my software as up to date as possible.

more options

with latest firefox version 3.6.14 every website (which loads java applets ), I have tried so far, crashes after page reloading as mentioned here https://bugzilla.mozilla.org/process_bug.cgi

more options